diff --git a/doc/src/sgml/plpgsql.sgml b/doc/src/sgml/plpgsql.sgml
index 07fba57..7091845 100644
--- a/doc/src/sgml/plpgsql.sgml
+++ b/doc/src/sgml/plpgsql.sgml
@@ -3274,22 +3274,52 @@ RAISE NOTICE 'Calling cs_create_job(%)', v_job_id;
     You can attach additional information to the error report by writing
     <literal>USING</> followed by <replaceable
     class="parameter">option</replaceable> = <replaceable
-    class="parameter">expression</replaceable> items.  The allowed
-    <replaceable class="parameter">option</replaceable> keywords are
-    <literal>MESSAGE</>, <literal>DETAIL</>, <literal>HINT</>, and
-    <literal>ERRCODE</>, while each <replaceable
-    class="parameter">expression</replaceable> can be any string-valued
-    expression.
-    <literal>MESSAGE</> sets the error message text (this option can't
-    be used in the form of <command>RAISE</> that includes a format
-    string before <literal>USING</>).
-    <literal>DETAIL</> supplies an error detail message, while
-    <literal>HINT</> supplies a hint message.
-    <literal>ERRCODE</> specifies the error code (SQLSTATE) to report,
-    either by condition name as shown in <xref linkend="errcodes-appendix">,
-    or directly as a five-character SQLSTATE code.
+    class="parameter">expression</replaceable> items.  Each
+    <replaceable class="parameter">expression</replaceable> can be any
+    string-valued expression.  The allowed <replaceable
+    class="parameter">option</replaceable>s are:
    </para>
 
+   <variablelist id="raise-using-options">
+
+      <varlistentry>
+         <term><literal>MESSAGE</literal></term>
+
+         <listitem>
+            <para>Error message text.  <literal>MESSAGE</> can't be
+            used in the form of <command>RAISE</> that includes a
+            format string before <literal>USING</>.</para>
+         </listitem>
+      </varlistentry>
+
+      <varlistentry>
+         <term><literal>DETAIL</literal></term>
+
+         <listitem>
+            <para>Detailed error message.</para>
+         </listitem>
+      </varlistentry>
+
+      <varlistentry>
+         <term><literal>HINT</literal></term>
+
+         <listitem>
+            <para>Hint message.</para>
+         </listitem>
+      </varlistentry>
+
+     <varlistentry>
+         <term><literal>ERRCODE</literal></term>
+
+         <listitem>
+            <para>Error code (SQLSTATE) to report.
+             <literal>ERRCODE</> may be specified either by condition
+             name, as shown in <xref linkend="errcodes-appendix">, or
+             directly as a five-character SQLSTATE code.</para>
+         </listitem>
+      </varlistentry>
+   </variablelist>
+
    <para>
     This example will abort the transaction with the given error message
     and hint:

